<?
session_start();
?>

<?
/*
MyPage File CMS - Redakční systém

Copyright (C)2010 Jiří Bednář

Tento program je svobodný software; můžete jej šířit a modifikovat podle
ustanovení GNU General Public License, vydávané Free Software
Foundation; a to buď verze 2 této licence anebo (podle vašeho uvážení)
kterékoli pozdější verze.

Tento program je rozšiřován v naději, že bude užitečný, avšak BEZ
JAKÉKOLI ZÁRUKY; neposkytují se ani odvozené záruky PRODEJNOSTI anebo
VHODNOSTI PRO URČITÝ ÚČEL. Další podrobnosti hledejte ve GNU General Public
License.

Kopii GNU General Public License jste měl obdržet spolu s tímto
programem; pokud se tak nestalo, napište o ni Free Software Foundation,
Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
MyPage File CMS - Content Managemet System

Copyright (C)2010 Jiří Bednář

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
?>

<?
include ('../kernel/administrace.php');
include ('../kernel/komentare.php');
include ('../kernel/web.php');
include ('../kernel/ucet.php');
include ('../language/cs.php');

if($admin["autologout"] != "Nikdy"){
if(isset($_SESSION['autologout'])){
if(time() >= $_SESSION['autologout']){
session_destroy();
}
}
$logouttime = $admin['autologout'] * 60;
$_SESSION['autologout'] = time() + $logouttime;
}

$version = PHP_VERSION;
$edit=substr($version, 0,1);
if($edit < 5){
exit("
<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\">\n
<center>$admin_other[php_alert]</center>
");
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">                         
    <meta http-equiv="content-language" content="cs" >                 
    <meta NAME="description" CONTENT="Redakční systém MyPage">	             
    <meta name="robots" content="noindex,nofollow">               
    <meta NAME="distribution" CONTENT="global">	             
    <meta name="author" content="Jiří Bednář">	                
    <title><?echo $admin_other['title']?></title> 
    
    <!-- CSS -->
    <link href="style/css/transdmin.css" rel="stylesheet" type="text/css" media="screen" />
    <!--[if IE 6]><link rel="stylesheet" type="text/css" media="screen" href="style/css/ie6.css" /><![endif]-->
    <!--[if IE 7]><link rel="stylesheet" type="text/css" media="screen" href="style/css/ie7.css" /><![endif]-->

    <!-- JavaScripts-->
    <script type="text/javascript" src="style/js/jquery.js"></script>
    <script type="text/javascript" src="style/js/jNice.js"></script>
<?  
if($admin['editor'] != "Žádný"){
include ("editor.php");
echo $editor[$admin['editor']];
} 
?>
</head>
<body>
	<div id="wrapper">
    	<h1><a href="index.php"><?echo $admin_index['name'];?></a>
      <?echo $admin_index['version'];?></h1>   
    <?
    include("index/menu.php");
    ?>        
     <div id="containerHolder">
			<div id="container">
        		<div id="sidebar">
                	<ul class="sideNav">
                	  <?
                	if(isset($_GET['id'])){
                  include("index/sidenav/$_GET[sn].php");
                  }
                  else{
                  include("index/sidenav/uvod.php");
                  }
                	    ?>

                    </ul>
                </div>    
                
                <h2><a href="index.php"><?echo $admin_position['administration'];?></a> &raquo; <? include("index/position.php");?></a></h2>
                <h2 id="breadcrumbs_fr"><?include("index/system_status.php");?></h2>
                <div id="main">
<?               
if(isset($_GET['id'])){
if($_GET['id'] == "articles" || $_GET['id'] == "links" || $_GET['id'] == "rubrics" || $_GET['id'] == "pages" || $_GET['id'] == "files"){
include("index/section.php");
}
else{
                	if(isset($_GET['act'])){
                	switch ($_GET['id']) {

case "clanky": 
include("index/clanky/articles_action.php");	
	break;
case "stranky": 
include("index/stranky/pages_action.php");	
	break;	
	case "rubriky": 
include("index/rubriky/rubrics_action.php");	
	break;	
	case "odkazy": 
include("index/odkazy/links_action.php");		
	break;	
	case "soubory": 
include("index/soubory/files_action.php");		
	break;
                	}
                  }
                  else{
include("index/$_GET[id].php");
}
}
}
else{
include("index/content_status.php");
}
?>
                </div>                
                <div class="clear"></div>
            </div>
        </div>	        
        <p id="footer">
&copy; Copyright 2010 
<a href="http://mypage.jiribednar.eu/">MyPage CMS</a>  
<br>ReDesign & ReCode: 
<a href="http://www.jiribednar.eu/">Jiří Bednář</a>  
<br>Original Code & Design: <a href="http://www.perspectived.com/">Perspectived</a>
        </p>
    </div>
</body>
</html>
